Subject: Re: [net-next PATCH v4 0/2] l2 hardware accelerated macvlans

From: John Fastabend <[email-masked]>
Date: Mon, 11 Nov 2013 09:16:24 -0800

On 11/7/2013 8:18 PM, Vlad Yasevich wrote:

[...]

>> If folks find this series acceptable there are a few
>> items we can work on next. First broadcast and multicast
>> will use the hardware even for local traffic with this
>> series. It would be best (I think) to use the software
>> path for macvlan to macvlan traffic and save the PCIe
>> bus. This depends on how much you value CPU time vs
>> PCIE bandwidth. This will need another patch series
>> to flush out.
>>
>
> John
>
> So, I've been looking at these patches and the more I
> look the more I wonder how much benefit there is in
> sending unicast macvlan<->macvlan traffic through the hw.
> It looks like any bulk transfers would have to undergo
> tso segmentaion and GRO, where as this can be completely
> bypassed right now with software.
>
> Did you run any numbers?
>

I have run some numbers on previous versions of the code for
this. I'll take some new ones with the final code today/tomorrow
and post them.

Just wanted to let you know I saw this...

Thanks,
John

> Thanks
> -vlad